Name:           mod_auth_cas
Version:        1.2
Release:    1%{?dist}
Summary:        Apache CAS Authentication Module for the JASIG/Apereo CAS Server

License:        Apache-2.0
URL:            https://github.com/apereo/mod_auth_cas
Source0:        https://github.com/apereo/%{name}/archive/v%{version}/%{name}-v%{version}.tar.gz
Source1:        auth_cas_mod.conf
Source2:        auth_cas_httpd.conf
Patch0:         0001-Patch-obsolete-autotools-m4-macro.patch
Patch1:         0002-Update-to-pcre2.patch

BuildRequires:  openssl-devel
BuildRequires:  httpd-devel
BuildRequires:  m4, readline-devel, autoconf, automake
BuildRequires:  libcurl-devel
BuildRequires:  libtool
BuildRequires:  pcre2-devel
BuildRequires:  gcc

Requires:       httpd-mmn = %{_httpd_mmn}
Requires:       mod_ssl

%description
The purpose of this module is to allow an Apache web server to interact
with an authentication server that conforms to the CAS version 1 or 2
protocol or SAML protocol as used by the JASIG/Apereo CAS Server

%prep
%autosetup -p1

%build
autoreconf -vif #BZ926155 - support aarch64
%configure --with-apxs=%{_httpd_apxs}
%make_build

%install
%make_install
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10-auth_cas.conf
install -Dp -m 644 %{SOURCE2} %{buildroot}%{_httpd_confdir}/auth_cas.conf

mkdir -p %{buildroot}%{_localstatedir}/cache/httpd/%{name}

%files
%doc README
%{_libdir}/httpd/modules/mod_auth_cas.so
%config(noreplace) %{_httpd_confdir}/auth_cas.conf
%config(noreplace) %{_httpd_modconfdir}/10-auth_cas.conf

%dir %attr(-,apache,apache) %{_localstatedir}/cache/httpd/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
